> ## Documentation Index
> Fetch the complete documentation index at: https://reel25.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Account

> Update settings for a tracked account

Update the video tracking limit for a specific account.

## Path parameters

<ParamField path="id" type="string" required>
  The account UUID (canonical account ID).
</ParamField>

## Body parameters

<ParamField body="video_limit" type="integer">
  Maximum number of videos to track for this account. Min: 1, Max: 500.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.reel25.com/api/v1/accounts/8f14e45f-... \
    -H "Authorization: Bearer reel25_sk_..." \
    -H "Content-Type: application/json" \
    -d '{"video_limit": 100}'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    'https://api.reel25.com/api/v1/accounts/8f14e45f-...',
    {
      method: 'PATCH',
      headers: {
        'Authorization': 'Bearer reel25_sk_...',
        'Content-Type': 'application/json',
      },
      body: JSON.stringify({ video_limit: 100 }),
    }
  );
  ```

  ```python Python theme={null}
  import requests

  response = requests.patch(
      f'https://api.reel25.com/api/v1/accounts/{account_id}',
      headers={
          'Authorization': 'Bearer reel25_sk_...',
          'Content-Type': 'application/json',
      },
      json={'video_limit': 100}
  )
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "data": {
      "id": "8f14e45f-..."
    },
    "message": "Account updated"
  }
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.